Oracle9i Application Server Installation Guide Release 1.0.2.1 for Windows NT/2000 Part Number A88726-01 |
| Library | Contents | Index

# E
Installing Documentation Library

The Oracle9i Application Server Documentation Library CD-ROM contains the documentation set for this product. The documentation on the CD-ROM is available in both HTML and PDF formats. The following topics describe the contents of the CD-ROM, and provides instructions for installing and viewing the documentation:

- Documentation Library Titles

- Installing the Documentation Library

- Viewing the Documentation Library

## Documentation Library Titles

The Documentation Library CD-ROM contains the documentation listed in the tables on the following pages. Titles that have a part number are available as printed and bound manuals from the Oracle Store at

`http://store.oracle.com`

##### Table E-1 Oracle9i Application Server

Part Number | Title
--- | ---
NA | Quick Tour
A87353-01 | Overview Guide
A83709-05 | Migrating from Oracle Application Server

##### Table E-2 Communication Services

Part Number | Title
--- | ---
NA | Apache 1.3.12 User's Guide
NA | Apache JServ Documentation (links to http://java.apache.org/jserv)
NA | Apache mod_perl Documentation (links to http://perl.apache.org)
NA | mod_ssl Documentation (links to http://www.modssl.org)
NA | OpenSSL Documentation (links to http://www.openssl.org)
A87562-01 | Using the PL/SQL Gateway
A83720-01 | Oracle8i Servlet Engine User's Guide
A87355-01 | Oracle Plug-in for Microsoft IIS Configuration and User's Guide

##### Table E-3 Content Management Services

Part Number | Title
--- | ---
NA | Oracle Internet File System Quick Tour
A81197-05 | Oracle Internet File System Setup and Administration Guide
A75154-04 | Oracle Internet File System User's Guide
A75172-04 | Oracle Internet File System Developer's Guide
NA | Oracle Internet File System Class Reference
NA | Oracle Internet File System Java Reference API
NA | Oracle Internet File System XML Reference

##### Table E-4 Business Logic Services

Part Number | Title
--- | ---
NA | Oracle Business Components for Java Developing Business Components
NA | Oracle Business Components for Java Tutorial - Building BC4J
NA | Oracle Business Components for Java Reference API
A83728-01 | Oracle8i Java Developer's Guide
A81358-01 | Oracle8i Java Stored Procedures Developer's Guide
A83720-011 | Oracle8i Servlet Engine User's Guide
A83726-01 | Oracle JavaServer Pages Developer's Guide and Reference
A83725-01 | Oracle8i Enterprise JavaBeans Developer's Guide and Reference
A88705-01 | Deploying Enterprise JavaBeans to Oracle9i Application Server
A83722-01 | Oracle8i CORBA Developer's Guide and Reference
A83724-01 | Oracle8i JDBC Developer's Guide and Reference
A83723-01 | Oracle8i SQLJ Developer's Guide and Reference
A81357-01 | Oracle8i JPublisher User's Guide
A85456-01 | Oracle8i Supplied Java Packages Reference
A83727-01 | Oracle8i Java Tools Reference
NA | Forms Developer Quick Tour
A86202-01 | Deploying Forms Applications to the Web
A73074-01 | Form Builder Reference Manual
A73073-02 | Guidelines for Building Applications
A73075-01 | Graphics Builder Reference Manual
A73076-01 | Procedure Builder Reference Manual
A73152-01 | Common Built-in Packages Reference Manual

##### Table E-5 Presentation Services

Part Number | Title
--- | ---
NA | Apache JServ Documentation (links to http://java.apache.org/jserv)
A83726-01 | Oracle JSP Developer's Guide and Reference
NA | Oracle JSP Developer's Toolkit

##### Table E-6 Developer's Kits

Part Number | Title
--- | ---
A86030-01 | Oracle8i Application Developer's Guide - XML
A83730-01 | Oracle8i XML Reference Guide
A83723-01 | Oracle8i SQLJ Developer's Guide and Reference
A83724-01 | Oracle8i JDBC Developer's Guide and Reference
A86082-01 | Oracle Internet Directory Application Developer's Guide

##### Table E-7 Portal Services

Part Number | Title
--- | ---
NA | Oracle9iAS Portal Quick Tour
A87567-01 | Oracle9iAS Portal Tutorial
A87566-01 | Oracle9iAS Portal Configuration Guide
A87570-01 | Oracle9iAS Portal Building Portals
A86701-01 | Oracle9iAS Wireless Configuration Guide
A86700-01 | Oracle9iAS Wireless Developer's Guide
A86699-01 | Oracle9iAS Wireless Implementation Guide

##### Table E-8 Caching Services

Part Number | Title
--- | ---
A86722-02 | Oracle9iAS Web Cache Administration and Deployment Guide
NA | Oracle9iAS Database Cache Quick Tour
A88706-01 | Oracle9iAS Database Cache Concepts and Administration Guide

##### Table E-9 System Services

Part Number | Title
--- | ---
NA | Oracle Enterprise Manager Console Quick Tour
NA | Standard Management Pack Quick Tour
A85250-01 | Oracle Enterprise Manager Concepts Guide
A85247-01 | Oracle Enterprise Manager Configuration Guide
A85248-01 | Oracle Enterprise Manager Administrator's Guide
A85251-01 | Oracle Intelligent Agent User's Guide
A85245-01 | Oracle Enterprise Manager Messages Manual
A85249-01 | Oracle SNMP Support Reference Guide

##### Table E-10 Business Intelligence Services

Part Number | Title
--- | ---
A87572-01 | Oracle9iAS Discoverer Configuration Guide for UNIX
A87430-01 | Oracle9iAS Discoverer Configuration Guide for Windows
NA | Reports Developer Quick Tour
A86784-02 | Publishing Reports to the Web
A73172-01 | Building Reports
A73174-01 | Reports Developer Reference Manual
A73073-02 | Guidelines for Building Applications
A73075-01 | Graphics Builder Reference Manual
A73076-01 | Procedure Builder Reference Manual
A73152-01 | Common Built-in Packages Reference Manual

##### Table E-11 New Services for Release 1.0.2.1

Part Number | Title
--- | ---
A88729-01 | Using Transparent Gateways with Oracle9i Application Server
A88714-01 | Oracle Heterogeneous Services
A86101-01 | Oracle Internet Directory Administrator's Guide
A86082-01 | Oracle Internet Directory Application Developer's Guide
A87449-01 | Oracle Workflow Guide
A86653-01 | Oracle9iAS Email Server Administrator's Guide
A86650-01 | Oracle9iAS Email Server Developer's Guide
A86093-02 | Oracle9iAS Unified Messaging Developer's Guide
A86660-01 | Oracle Applications InterConnect User's Guide
A65435-01 | Oracle Message Broker Administration Guide

## Installing the Documentation Library

You can install the documentation on the CD-ROM in either of two ways:

- Copying the files from the CD-ROM to your local system.

- Using the Oracle Universal Installer included with Oracle9i Application Server.

### File Copy Installation

The simplest installation method is to directly copy the files from the CD-ROM to your computer. Use your operating system's commands to copy the contents of the `doc` directory on the CD-ROM to the appropriate installation directory on your system. For consistency with installations performed by the Oracle Universal Installer, Oracle recommends that you name the directory `doc`.

For example, the following command copies the documentation from the CD-ROM to your Oracle home directory.

For UNIX, enter the following command:

    prompt> cp -r mount_point/doc $ORACLE_HOME

For Windows, enter the following command at the command prompt:

    prompt> xcopy /s cdrom_drive\doc %ORACLE_HOME%

Note: This method may overwrite files if the destination directory already exists.

### Oracle Universal Installer Installation

The Oracle Universal Installer also installs the documentation onto your computer from the CD-ROM. The following instructions describe the process:

1. Launch the Oracle Universal Installer.

   See Also: "Starting Oracle Universal Installer"

2. At the Welcome screen, click Next.

3. At the File Locations screen do the following:

   1. Eject the Oracle9i Application Server CD-ROM and replace it with the Documentation Library CD-ROM.

   2. In the Source field,

      For UNIX, enter `mount_point``/stage/products.jar`.

      For Windows, enter `cdrom-drive``\stage\products.jar`.

      This directs the installer to the installation file for the documentation library.

   3. In the Destination field, enter the path to the Oracle home you are installing the documentation to. The documentation will be installed in the `doc` directory under Oracle home.

   4. Click Next to continue.

4. At the Summary screen, review the summary and click Install to begin the installation process.

5. After installation, the End of Installation screen will appear. Click Exit to quit the installer.

## Viewing the Documentation Library

You can view the Oracle9i Application Server documentation library directly from the CD-ROM or from disk after installing it. For information about the tools necessary to view the documentation, refer to "Online Documentation Requirements".

To view the HTML and PDF documentation from a local installation or from the CD-ROM, follow these steps:

1. Use your browser to open the top-level `index.htm` file from the `doc` directory on either the CD-ROM or Oracle home directory.

2. Click on the list of components to see the documentation relating to a particular component.

### Using the Oracle Information Navigator Applet

Oracle Information Navigator is a Java-based search and navigation utility provided with Oracle online documentation. If you are using a Java-enabled browser, the navigator is launched automatically when you open `index.htm` in a browser. The navigator can be used with Oracle documentation, whether you are reading from the CD-ROM or from installed files.

For information on how to use the navigator, click the Help button in the top right corner of the browser window.

### Bypassing the Oracle Information Navigator Applet

If you do not wish to launch the Oracle Information Navigator applet, open `products.htm` instead of `index.htm`.

| Copyright © 2001 Oracle Corporation. All Rights Reserved. |
| Library | Contents | Index